Package org.lwjgl.opengl

# Class ARBShadingLanguageInclude

java.lang.Object
org.lwjgl.opengl.ARBShadingLanguageInclude

public final class ARBShadingLanguageInclude extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_NAMED_STRING_LENGTH_ARB`
Accepted by the <pname> parameter of GetNamedStringivARB:
`static final int`
`GL_NAMED_STRING_TYPE_ARB`
Accepted by the <pname> parameter of GetNamedStringivARB:
`static final int`
`GL_SHADER_INCLUDE_ARB`
Accepted by the <type> parameter of NamedStringARB:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glCompileShaderIncludeARB(int shader, int count, ByteBuffer path)`
`static void`
`glCompileShaderIncludeARB(int shader, CharSequence[] path)`
Overloads glCompileShaderIncludeARB.
`static void`
`glDeleteNamedStringARB(CharSequence name)`
Overloads glDeleteNamedStringARB.
`static void`
`glDeleteNamedStringARB(ByteBuffer name)`
`static String`
`glGetNamedStringARB(CharSequence name, int bufSize)`
Overloads glGetNamedStringARB.
`static void`
`glGetNamedStringARB(CharSequence name, IntBuffer stringlen, ByteBuffer string)`
Overloads glGetNamedStringARB.
`static void`
`glGetNamedStringARB(ByteBuffer name, int pname, IntBuffer params)`
`static void`
`glGetNamedStringARB(ByteBuffer name, IntBuffer stringlen, ByteBuffer string)`
`static int`
`glGetNamedStringiARB(CharSequence name, int pname)`
Overloads glGetNamedStringivARB.
`static void`
`glGetNamedStringiARB(CharSequence name, int pname, IntBuffer params)`
Overloads glGetNamedStringivARB.
`static boolean`
`glIsNamedStringARB(CharSequence name)`
Overloads glIsNamedStringARB.
`static boolean`
`glIsNamedStringARB(ByteBuffer name)`
`static void`
`glNamedStringARB(int type, CharSequence name, CharSequence string)`
Overloads glNamedStringARB.
`static void`
`glNamedStringARB(int type, ByteBuffer name, ByteBuffer string)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SHADER_INCLUDE_ARB

public static final int GL_SHADER_INCLUDE_ARB
Accepted by the <type> parameter of NamedStringARB:

See Also:
  - Constant Field Values

### GL_NAMED_STRING_LENGTH_ARB

public static final int GL_NAMED_STRING_LENGTH_ARB
Accepted by the <pname> parameter of GetNamedStringivARB:

See Also:
  - Constant Field Values

### GL_NAMED_STRING_TYPE_ARB

public static final int GL_NAMED_STRING_TYPE_ARB
Accepted by the <pname> parameter of GetNamedStringivARB:

See Also:
  - Constant Field Values

## Method Details

### glNamedStringARB

public static void glNamedStringARB(int type, ByteBuffer name, ByteBuffer string)

### glNamedStringARB

public static void glNamedStringARB(int type, CharSequence name, CharSequence string)
Overloads glNamedStringARB.

### glDeleteNamedStringARB

public static void glDeleteNamedStringARB(ByteBuffer name)

### glDeleteNamedStringARB

public static void glDeleteNamedStringARB(CharSequence name)
Overloads glDeleteNamedStringARB.

### glCompileShaderIncludeARB

public static void glCompileShaderIncludeARB(int shader, int count, ByteBuffer path)

### glCompileShaderIncludeARB

public static void glCompileShaderIncludeARB(int shader, CharSequence[] path)
Overloads glCompileShaderIncludeARB.

### glIsNamedStringARB

public static boolean glIsNamedStringARB(ByteBuffer name)

### glIsNamedStringARB

public static boolean glIsNamedStringARB(CharSequence name)
Overloads glIsNamedStringARB.

### glGetNamedStringARB

public static void glGetNamedStringARB(ByteBuffer name, IntBuffer stringlen, ByteBuffer string)

### glGetNamedStringARB

public static void glGetNamedStringARB(CharSequence name, IntBuffer stringlen, ByteBuffer string)
Overloads glGetNamedStringARB.

### glGetNamedStringARB

public static String glGetNamedStringARB(CharSequence name, int bufSize)
Overloads glGetNamedStringARB.

### glGetNamedStringARB

public static void glGetNamedStringARB(ByteBuffer name, int pname, IntBuffer params)

### glGetNamedStringiARB

public static void glGetNamedStringiARB(CharSequence name, int pname, IntBuffer params)
Overloads glGetNamedStringivARB.

### glGetNamedStringiARB

public static int glGetNamedStringiARB(CharSequence name, int pname)
Overloads glGetNamedStringivARB.